#!/bin/sh
# 
# Usage: ./mkdirs.sh [LEVEL3DIR]
# Creates the release directory structure in the LEVEL3DIR directory.
# The current directory is used by default.
# 
<<RELEASEINFO>>

LEVEL3DIR=${1-.}

NUMPATHS=<<NUMPATHS>>
NCREATED=0

echo "Creating ${NUMPATHS} paths in '${LEVEL3DIR}'"

# Creates a path in LEVEL3DIR
# $1 = The path to create (for example, /S000001/l.r.m.c.lib.g)
function createPath {
	NCREATED=$(( ${NCREATED} + 1 ))
	echo "[${NCREATED}/${NUMPATHS}] ${LEVEL3DIR}${1}"
	mkdir -p ${LEVEL3DIR}${1}
}

<<SCRIPT>>

echo Done: ${NCREATED} paths created

