<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.WebException"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.relax.admin");
%>
<base:page type="default">
<base:head 
	scripts="~../relax.js,~install.js" 
	styles="path.css,table.css,~../css/relax.css"
	>

<style>

#itemTable
{
	width: 100%;
	border-collapse: collapse;
}

#itemTable .highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#itemTable th, #itemTable td
{
	text-align: left;
	padding: 2px 4px 2px 4px;
}

#itemTable input[type="text"], #itemTable select 
{
    width: calc(100% - 10px);
}

#itemTable .indexCol
{
	width: 4em;
	text-align: right;
	white-space: nowrap;
	font-weight: bold;
}

#itemTable .itemTypeCol
{
	width: 16em;
}

#itemTable .itemNameCol
{
	width: 24em;
}

#itemTable .iconCol
{
	width: 30px;
	text-align: center;
}

#itemTable .messageCol
{}

.check-not-ok
{
	font-weight: bold;
}


#workInProgress
{
	top: auto; 
	height: 8em; 
	left: 1em; 
	right: 1em;
}

#workInProgress.working
{
	top: 0;
	bottom: 0;
}

.all-checks-passed
{
	text-align: center;
	font-weight: bold;
	margin: 1em;
}

.all-checks-passed::before
{
	content: url('../images/ok.png');
	vertical-align: -0.25em;
	margin-right: 0.5em;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Relax" href="<%="../index-admin.jsp?ID="+ID%>" 
		/><p:pathelement title="Installation wizard" 
		/></p:path>

	<div class="content" id="wizard">

		<div class="absolutefull bottomborder" style="bottom: 8em;">
		<div id="wizard-messages" style="display:none;"></div>
		<table id="itemTable" class="topborder bottomborder" style="display: none;">
		<thead class="bg-filled-100 bottomborder">
			<tr>
				<th class="indexCol">##</th>
				<th class="itemTypeCol dottedleft">Item type</th>
				<th class="itemNameCol">Name</th>
				<th class="iconCol"></th>
				<th class="messageCol">Message</th>
			</tr>
			<tr>
				<th></th>
				<th class="dottedleft">
					<select name="typeFilter" id="typeFilter"></select>
				</th>
				<th><input type="text" name="nameFilter" id="nameFilter"></th>
				<th></th>
				<th><input type="text" name="messageFilter" id="messageFilter"></th>
			</tr>
		</thead>
		<tbody id="item-list" style="display: none;"></tbody>
		<tbody id="no-matching-items" style="display: none;">
			<tr>
				<th></th>
				<td class="dottedleft" colspan="4" style="font-weight: bold; padding: 1em;">
					No items matches the filter.
				</td>
			</tr>
		</tbody>
		</table>
		</div>

		<div class="absolutefull working" id="workInProgress">
			<div id="wizard-status" style="display:none; margin-top: 1em;"></div>
			<div id="wizard-progress"></div>
			
			<div id="createMissingItems" style="display:none; margin-top: 1em;">
				<base:buttongroup>
				<base:button id="btnCreateMissingItems" title="Create missing items" image="add.png" />
				</base:buttongroup>
			</div>
		
			<div id="fixIncompleteItems" style="display:none; margin-top: 1em;">
				<base:buttongroup>
				<base:button id="btnFixItems" title="Fix items" image="fixit.png" />
				</base:buttongroup>
			</div>
			
		</div>
	
	</div>
	
</base:body>
</base:page>
